<script setup>
import AirshipTypeCreate from '@/components/airship_type/AirshipTypeCreate.vue'
import AirshipTypeBrowse from '@/components/airship_type/AirshipTypeBrowse.vue'
</script>

<template>
<div>
  <div>
    <div class="main_buttons">
        <button type="button" @click='state="browse"'>Browse</button> 
        <button type="button" @click='state="add_new"'>Add new</button>
    </div>

    <AirshipTypeCreate v-if='state=="add_new"' />
    <AirshipTypeBrowse v-else-if='state=="browse"' />
  </div>

  </div>
</template>

<script>
export default {
  name: "AirshipType",
  data: function() {
    return {
      state: "browse",
    };
  },
  methods: {},
  mounted: function() {}
};
</script>

<style scoped>

</style>>